#!/bin/bash
#
# TRX-Engine - MFS Syntax Checker
#
#

if [ -z ${JAVA_HOME} ]; then
  JAVA_HOME=/u01/developer/jdk1.7.0_03/jre;
fi

if [ ! -e $JAVA_HOME ]; then 
	echo $JAVA_HOME doesn\'t exist; 
	exit 1; 
fi 
scriptFile=$(readlink -fn $(type -p $0))                   # the absolute, dereferenced path of this script file
scriptDir=$(dirname $scriptFile)                           # absolute path of the script directory
dcimalLib=$scriptDir/lib/zdecimal_3.2.jar
jarFile=$scriptDir/tm-server.jar

$JAVA_HOME/bin/java -cp $jarFile:$dcimalLib de.itgain.spgtm.mfs.SyntaxCheck $*
